## org.biojava.bio.program.gff
Class GFFErrorHandler.AbortErrorHandler

    java.lang.Object
      |
      +--org.biojava.bio.program.gff.GFFErrorHandler.AbortErrorHandler

Enclosing class:
  GFFErrorHandler

public static class GFFErrorHandler.AbortErrorHandler
extends java.lang.Object
implements GFFErrorHandler

Inner classes inherited from class org.biojava.bio.program.gff.GFFErrorHandler
`GFFErrorHandler.AbortErrorHandler, GFFErrorHandler.SkipRecordErrorHandler`

Fields inherited from interface org.biojava.bio.program.gff.GFFErrorHandler
`ABORT_PARSING, SKIP_RECORD`

Constructor Summary
`GFFErrorHandler.AbortErrorHandler()`

Method Summary
`int` `invalidEnd(java.lang.String token)` The `end' field of the GFF entry was not a valid value.
`int` `invalidFrame(java.lang.String token)` The `frame' field of the GFF entry was not a valid value.
`double` `invalidScore(java.lang.String token)` The `score' field of the GFF entry was not a valid value.
`int` `invalidStart(java.lang.String token)` The `start' field of the GFF entry was not a valid value.
`StrandedFeature.Strand` `invalidStrand(java.lang.String token)` The `strand' field of the GFF entry was not a valid value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GFFErrorHandler.AbortErrorHandler

    public GFFErrorHandler.AbortErrorHandler()

Method Detail

### invalidStart

    public int invalidStart(java.lang.String token)
                     throws ParserException

  Description copied from interface: GFFErrorHandler
  The `start' field of the GFF entry was not a valid value.
  Specified by:
    invalidStart in interface GFFErrorHandler
  Tags copied from interface: GFFErrorHandler
  Parameters:
    `token` - The start token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidEnd

    public int invalidEnd(java.lang.String token)
                   throws ParserException

  Description copied from interface: GFFErrorHandler
  The `end' field of the GFF entry was not a valid value.
  Specified by:
    invalidEnd in interface GFFErrorHandler
  Tags copied from interface: GFFErrorHandler
  Parameters:
    `token` - The end token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidScore

    public double invalidScore(java.lang.String token)
                        throws ParserException

  Description copied from interface: GFFErrorHandler
  The `score' field of the GFF entry was not a valid value.
  Specified by:
    invalidScore in interface GFFErrorHandler
  Tags copied from interface: GFFErrorHandler
  Parameters:
    `token` - The score token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidFrame

    public int invalidFrame(java.lang.String token)
                     throws ParserException

  Description copied from interface: GFFErrorHandler
  The `frame' field of the GFF entry was not a valid value.
  Specified by:
    invalidFrame in interface GFFErrorHandler
  Tags copied from interface: GFFErrorHandler
  Parameters:
    `token` - The frame token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.

### invalidStrand

    public StrandedFeature.Strand invalidStrand(java.lang.String token)
                                         throws ParserException

  Description copied from interface: GFFErrorHandler
  The `strand' field of the GFF entry was not a valid value.
  Specified by:
    invalidStrand in interface GFFErrorHandler
  Tags copied from interface: GFFErrorHandler
  Parameters:
    `token` - The strand token found.
  Throws:
    ParserException - If parsing should be aborted
    IgnoreRecordException - If this record should be silently skipped.